const path = require('path');
const webpack = require('webpack');

module.exports = {
  devtool: false,
  plugins: [
    new webpack.SourceMapDevToolPlugin({
      filename: '[file].map',
      exclude: ['vendor.*.js'],
    })
  ],
  module: {
    rules: [
      {
        test: /\.(geo|topo)json$/,
        include: path.resolve(__dirname, "src/assets/data"),
        use: {
          loader: "file-loader",
          options: {
            name: "[name].[ext]",
            outputPath: "assets/data",
          },
        },
      },
    ],
  },
};
